Bug 806536 - (ghc-resourcet) Review Request: ghc-resourcet - Deterministic allocation and freeing of scarce resources
Review Request: ghc-resourcet - Deterministic allocation and freeing of scarc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 783419 805886
  Show dependency treegraph
 
Reported: 2012-03-24 10:08 EDT by Jens Petersen
Modified: 2012-04-21 23:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-resourcet-0.3.2-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 18:49:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2012-03-24 10:08:54 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-resourcet/ghc-resourcet.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-resourcet/ghc-resourcet-0.3.1-1.fc16.src.rpm
Description: Allocate resources which are guaranteed to be released.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3929131

Needed for conduit 0.3.
Comment 1 Narasimhan 2012-04-07 08:00:40 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.


rpmlint  -i ghc-resourcet-0.3.1-1.fc15.src.rpm ghc-resourcet-0.3.1-1.fc15.x86_64.rpm ghc-resourcet-devel-0.3.1-1.fc15.x86_64.rpm ../ghc-resourcet.spec 
ghc-resourcet.src: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-resourcet.src: W: spelling-error %description -l en_US monads -> nomads, gonads
The value of this tag appears to be misspelled. Please double-check.

ghc-resourcet.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-resourcet.x86_64: W: spelling-error %description -l en_US monads -> nomads, gonads
The value of this tag appears to be misspelled. Please double-check.

ghc-resourcet-devel.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
The value of this tag appears to be misspelled. Please double-check.

ghc-resourcet-devel.x86_64: W: spelling-error %description -l en_US monads -> nomads, gonads
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 6 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
 md5sum resourcet-0.3.1.tar.gz 
0b12243c671870b85e0b3501c4129ea1  resourcet-0.3.1.tar.gz

md5sum ghc-resourcet-0.3.1-1.fc16.src/resourcet-0.3.1.tar.gz 
0b12243c671870b85e0b3501c4129ea1  ghc-resourcet-0.3.1-1.fc16.src/resourcet-0.3.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with rpmquery --whatprovides.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-resourcet-0.3.1-1.fc15.x86_64 
error: Failed dependencies:
        ghc(resourcet-0.3.1) = cebabc54eb365f078e6c86e2c44fa0c6 is needed by (installed) ghc-resourcet-devel-0.3.1-1.fc15.x86_64
        ghc-resourcet = 0.3.1-1.fc15 is needed by (installed) ghc-resourcet-devel-0.3.1-1.fc15.x86_64

[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the packages. Loaded Control.Monad.Trans.Resource into ghci
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 2 Jens Petersen 2012-04-09 00:10:12 EDT
Thank you for reviewing. :)


New Package SCM Request
=======================
Package Name: ghc-resourcet
Short Description: Deterministic allocation and freeing of scarce resources
Owners: petersen
Branches: f17 f16 f15 el6
InitialCC: haskell-sig
Comment 3 Jon Ciesla 2012-04-09 08:31:24 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-04-09 22:45:26 EDT
ghc-resourcet-0.3.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-resourcet-0.3.2-1.fc16
Comment 5 Fedora Update System 2012-04-09 22:45:36 EDT
ghc-resourcet-0.3.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-resourcet-0.3.2-1.fc17
Comment 6 Fedora Update System 2012-04-09 22:45:46 EDT
ghc-resourcet-0.3.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-resourcet-0.3.2-1.fc15
Comment 7 Fedora Update System 2012-04-10 16:17:02 EDT
ghc-resourcet-0.3.2-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-04-18 18:49:04 EDT
ghc-resourcet-0.3.2-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-04-21 23:23:08 EDT
ghc-resourcet-0.3.2-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-04-21 23:32:47 EDT
ghc-resourcet-0.3.2-1.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.